<template>
  <v-card>
    <v-card-title>Registro</v-card-title>

    <v-card-text>
      <v-form v-model="valido">
        <v-text-field
          v-model="user.username"
          :rules="rules"
          label="Nombre"
        />
        <v-text-field
          v-model="user.email"
          :rules="emailRules"
          label="correo"
        />
        <v-text-field
          v-model="user.password"
          :rules="rules"
          label="Contraseña"
        /> 
      </v-form>
    </v-card-text>
    <v-card-actions>
      <v-btn @click="registro" :disabled="!valido">Registro</v-btn>
    </v-card-actions>
  </v-card>
</template>

<script>
export default {
  name: 'registro',
  data() {
    return {
      user: {},
      valido: false,
      rules: [
        v => !!v || 'Es requerido',
        v => v.length > 4 || 'más de 4 caracteres'
      ],
      emailRules: [
        v => !!v || 'Requerido',
        v => /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/.test(v) || 'Ingresa un correo valido'
      ]
    }
  },
  methods: {
    registro() {
      const user = new this.$Parse.User()
      user
        .set('username',this.user.username)
        .set('email',this.user.email)
        .set('password',this.user.password)
        .signUp()
        .then((data) => {
          console.log(data)
        })
        .catch((error) => {
          console.error(error)
        })
    }

  }
}
</script>

<style>

</style>